##
## !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
##
##   Ima Student (12345678)
##   CS 231 Spring 2018
##   Assignment 03, Problem 2 
##
## !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
##
##

import check

## mixed_fn: Int Str -> (anyof Int Float None)
## Requires: num is non-negative
## mixed_fn(num, action) produces 2*num if action is "double", 
##     num/2 if action is "half", and None otherwise. 
##     If action is "string", the user is prompted to enter a string
##     and then num copies of that string are printed on one line.
##     For any other action, "Invalid action" is printed to the screen.
## Effects: If action is "string", a string is read from standard input, 
##     and copies of the string are printed. For any action other than
##     "string", "half", or "double", "Invalid action" is printed.
## Examples:
##     mixed_fn(2, "double") => 4
##     mixed_fn(11, "half") => 5.5
##     mixed_fn(6, "oops") => None and prints "Invalid action"
##     mixed_fn(3, "string") => None, if the user inputs "a" 
##         then "aaa" is printed and nothing is produced

def mixed_fn(num,action):
    if action == "double":
        return 2 * num
    elif action == "half":
        return num / 2
    elif action == "string":
        to_print = input("Enter a non-empty string: ")
        print(to_print * num)
    else:
        print("Invalid action")
        
# Bad test 1: action=="string", incorrect output
check.set_input(["hello"])
check.set_screen("goodbye")
check.expect("Bad test 1", mixed_fn(3, "string"), None)
# Bad test 2: action == "string", wrong length input list
check.set_input(["hello", "hi", "anyone home?"])
check.set_screen("hellohellohello")
check.expect("bad test", mixed_fn(3, "string"), None)
