##
## ***************************************************
## *    Ima Student (12345678)                       *
## *    CS 231 Spring 2018                           *
## *    Assignment 03, Problem 1                     *
## ***************************************************
##

import check

# add_one_to_evens(int_list) mutates int_list by adding 1 to each even value.
# Effects: Mutates int_list by adding 1 to each even value.
# add_one_to_evens: (listof Int) -> None
# Examples: 
#     if int_list = [],  add_1_to_evens(int_list) => None, then int_list = [].
#                         
#     if int_list = [3,5,-18,1,0], add_one_to_evens(int_list) => None, 
#         then int_list = [3,5,-17,1,1].

def add_one_to_evens(int_list):
    for i in range(len(int_list)):
        if int_list[i]%2==0:
            int_list[i] = int_list[i] + 1

# Test 1: Empty list
list_one = []
check.expect("Q1T1", add_one_to_evens(list_one), None)
check.expect("Q1T1 (list_one)", list_one, [])

# Test 2: List of one even number
list_two = [2]
check.expect("Q1T2", add_one_to_evens(list_two), None)
check.expect("Q1T2 (list_two)", list_two, [3])

# Test 3: List of one odd number
list_three = [7]
check.expect("Q1T3", add_one_to_evens(list_three), None)
check.expect("Q1T3 (list_three)", list_three, [7])

# Test 4: General case
list_four = [1,4,5,2,4,6,7,12]
check.expect("Q1T4", add_one_to_evens(list_four), None)
check.expect("Q1T4 (list_four)", list_four, [1,5,5,3,5,7,7,13])
